﻿@using Portal.Models;
@model Toyota.Common.Web.MVC.ModelHolder
@{     
    Layout = "~/Views/Layout/Dashboard.cshtml";
}

@section Style {
    #notificationWall {
        width: 95%;
        height: 450px; /* Note: the height needs to be set dynamically depending screen height */
    }
}

@section Script{
    var notificationID;
    function OnHyperLinkNotificationClick(notifID) {
        notificationID = notifID;
        detailGrid.PerformCallback();
    }
    function OnDetailNotificationBeginCallback(s, e) {
        e.customArgs["_notifID"] = notificationID;
    }
    function OnDetailNotificationEndCallback(s, e) {
        if (!popup.IsVisible()) 
            popup.Show();
    }

    function ShowAnnouncementPopup(url) {
        popupAnnouncement.SetContentUrl(url);
        popupAnnouncement.Show()
    }
    function ShowNotificationPopup(url) {
        popupNotification.SetContentUrl(url);
        popupNotification.Show()
    }
}

@section LeftSideWidgets {
    @Html.Common().DevExpress().DockingPanel("SearchDocuments", "Search Documents", "left", () => {        
        Html.DevExpress().Label(setting => {
            setting.Text = "Search Purchase Order";
        }).Render();
        ViewContext.Writer.Write("<br />");
        ViewContext.Writer.Write("<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">");
        ViewContext.Writer.Write("<tr>");
        ViewContext.Writer.Write("<td style=\"width: 120px;\">");
        Html.DevExpress().Label(setting =>
        {
            setting.Text = "PO Number";
        }).Render();
        ViewContext.Writer.Write("</td>");
        ViewContext.Writer.Write("<td style=\"width: 100px;\">");
        Html.DevExpress().TextBox(setting =>
        {
            setting.Name = "txtSearchPurchase";
            setting.Width = System.Web.UI.WebControls.Unit.Pixel(80);
        }).Render();
        ViewContext.Writer.Write("</td>");
        ViewContext.Writer.Write("<td>");
        Html.DevExpress().Button(setting =>
        {
            setting.Name = "cmdGoPurchase";
            setting.Text = "Go";
        }).Render();
        ViewContext.Writer.Write("</td>");
        ViewContext.Writer.Write("</tr>");
        ViewContext.Writer.Write("</table>");
        ViewContext.Writer.Write("<hr />");
        Html.DevExpress().Label(setting =>
        {
            setting.Text = "Search Delivery Status";
        }).Render();
        ViewContext.Writer.Write("<br />");
        ViewContext.Writer.Write("<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">");
        ViewContext.Writer.Write("<tr>");
        ViewContext.Writer.Write("<td style=\"width: 120px;\">");
        Html.DevExpress().Label(setting =>
        {
            setting.Text = "Manifest No";
        }).Render();
        ViewContext.Writer.Write("</td>");
        ViewContext.Writer.Write("<td style=\"width: 100px;\">");
        Html.DevExpress().TextBox(setting =>
        {
            setting.Name = "txtSearchDelivery";
            setting.Width = System.Web.UI.WebControls.Unit.Pixel(80);
        }).Render();
        ViewContext.Writer.Write("</td>");
        ViewContext.Writer.Write("<td>");
        Html.DevExpress().Button(setting =>
        {
            setting.Name = "cmdGoDelivery";
            setting.Text = "Go";
        }).Render();
        ViewContext.Writer.Write("</td>");
        ViewContext.Writer.Write("</tr>");
        ViewContext.Writer.Write("</table>");
        ViewContext.Writer.Write("<hr />");
        Html.DevExpress().Label(setting =>
        {
            setting.Text = "Search Invoices";
        }).Render();
        ViewContext.Writer.Write("<br />");
        ViewContext.Writer.Write("<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">");
        ViewContext.Writer.Write("<tr>");
        ViewContext.Writer.Write("<td style=\"width: 120px;\">");
        Html.DevExpress().Label(setting =>
        {
            setting.Text = "Invoices No";
        }).Render();
        ViewContext.Writer.Write("</td>");
        ViewContext.Writer.Write("<td style=\"width: 100px;\">");
        Html.DevExpress().TextBox(setting =>
        {
            setting.Name = "txtSearchInvoice";
            setting.Width = System.Web.UI.WebControls.Unit.Pixel(80);
        }).Render();
        ViewContext.Writer.Write("</td>");
        ViewContext.Writer.Write("<td>");
        Html.DevExpress().Button(setting =>
        {
            setting.Name = "cmdGoInvoice";
            setting.Text = "Go";
        }).Render();
        ViewContext.Writer.Write("</td>");
        ViewContext.Writer.Write("</tr>");
        ViewContext.Writer.Write("</table>");
        ViewContext.Writer.Write("<hr />");
        Html.DevExpress().Label(setting =>
        {
            setting.Text = "Search Payment";
        }).Render();
        ViewContext.Writer.Write("<br />");
        ViewContext.Writer.Write("<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">");
        ViewContext.Writer.Write("<tr>");
        ViewContext.Writer.Write("<td style=\"width: 120px;\">");
        Html.DevExpress().Label(setting =>
        {
            setting.Text = "Payment No";
        }).Render();
        ViewContext.Writer.Write("</td>");
        ViewContext.Writer.Write("<td style=\"width: 100px;\">");
        Html.DevExpress().TextBox(setting =>
        {
            setting.Name = "txtSearchPayment";
            setting.Width = System.Web.UI.WebControls.Unit.Pixel(80);
        }).Render();
        ViewContext.Writer.Write("</td>");
        ViewContext.Writer.Write("<td>");
        Html.DevExpress().Button(setting =>
        {
            setting.Name = "cmdGoPayment";
            setting.Text = "Go";
        }).Render();
        ViewContext.Writer.Write("</td>");
        ViewContext.Writer.Write("</tr>");
        ViewContext.Writer.Write("</table>");   
    }).GetHtml()
}

@section RightSideWidgets {
    @Html.Common().DevExpress().DockingPanel("DoughnoutPartOrder", "Quick Links", "right", () => {        
        ViewContext.Writer.WriteLine("<table><tr><td rowspan=\"5\" valign=\"top\" style=\"width:50px; padding-top:7px\"><a href=\"https://mailbox.ap.toyota-edc.com\"><img alt=\"\" src=\"Content/Images/Exchange.png\" /></a></td></tr><tr><td><a href=\"https://mailbox.ap.toyota-edc.com\">Global Data Exchange</a></td></tr><tr><td>PIC:</td></tr><tr><td>Email:</td></tr><tr><td>Mobile:</td></tr></table>");
        ViewContext.Writer.WriteLine("<table><tr><td rowspan=\"5\" valign=\"top\" style=\"width:50px; padding-top:7px\"><a href=\"https://supplier.toyota.co.id\"><img alt=\"\" src=\"Content/Images/Calculator-Metro-48.png\" /></a></td></tr><tr><td><a href=\"https://supplier.toyota.co.id\">Supplier Daily Order and Warranty</a></td></tr><tr><td>PIC:</td></tr><tr><td>Email:</td></tr><tr><td>Mobile:</td></tr></table>");
        ViewContext.Writer.WriteLine("<table><tr><td rowspan=\"5\" valign=\"top\" style=\"width:50px; padding-top:7px\"><a href=\"http://sc.tmap-em.toyota-asia.com\"><img alt=\"\" src=\"Content/Images/Sun.png\" /></a></td></tr><tr><td><a href=\"http://sc.tmap-em.toyota-asia.com\">Global WARP Supplier Interface</a></td></tr><tr><td>PIC:</td></tr><tr><td>Email:</td></tr><tr><td>Mobile:</td></tr></table>");        
    }).GetHtml()
}

@Html.Common().DevExpress().NotificationWall(
    settings => {
        settings.Name = "notificationWall";
    }
).GetHtml()